#!/bin/bash
set -e
SERVER=$1
if [[ -z "${SERVER}" ]]; then echo 'No SERVER'; exit 1; fi

#https://github.com/louislam/dockge?tab=readme-ov-file#basic

ssh root@${SERVER} bash -- << EOF
set -e
mkdir -p /opt/stacks /opt/dockge
cd /opt/dockge
curl https://raw.githubusercontent.com/louislam/dockge/master/compose.yaml --output compose.yaml
docker compose up -d
EOF